Skip to content

Replace availability

Request

Fully replaces an existing Availability. All fields must be provided.

Security
bearer
Path
siteIdnumberrequired

Site identifier

availabilityIdstringrequired

Availability unique identifier (UUID)

Bodyapplication/jsonrequired
availabilityDatestringrequired

Calendar date for which these availability slots apply.

Example:"2025-01-01"
extensionsobjectrequired

Vendor- or practice-specific extensions at the availability level.

resourceIdstringrequired

Identifier of the resource (e.g., clinician, room, equipment) this availability applies to.

Example:"123e4567-e89b-12d3-a456-426614174000"
siteIdstringrequired

Identifier of the site/location where this availability applies.

Example:"123e4567-e89b-12d3-a456-426614174000"
slotsArray of objects(SlotDto)required

List of availability slots for the specified date and resource.

timezonestringrequired

IANA timezone name used to interpret local slot times (e.g., 'Pacific/Auckland').

Example:"Example Name"
curl -i -X PUT \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/availability/{availabilityId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "availabilityDate": "2025-01-01",
    "extensions": {},
    "resourceId": "123e4567-e89b-12d3-a456-426614174000",
    "siteId": "123e4567-e89b-12d3-a456-426614174000",
    "slots": [
      {
        "capacity": 1.23,
        "endsAt": "2025-01-01T00:00:00.000Z",
        "extensions": {},
        "slotId": "123e4567-e89b-12d3-a456-426614174000",
        "startsAt": "2025-01-01T00:00:00.000Z",
        "status": "free"
      }
    ],
    "timezone": "Example Name"
  }'

Responses

Availability replaced successfully

Bodyapplication/json
availabilityIdstringrequired

Canonical identifier for this availability resource.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when this availability record was created.

Example:"2025-01-01T00:00:00.000Z"
availabilityDatestring, (date-time)required

Calendar date for which these availability slots apply.

Example:"2025-01-01T00:00:00Z"
extensionsobjectrequired

Vendor- or practice-specific extensions at the availability level.

resourceIdstringrequired

Identifier of the resource (e.g., clinician, room, equipment) this availability applies to.

Example:"123e4567-e89b-12d3-a456-426614174000"
siteIdstringrequired

Identifier of the site/location where this availability applies.

Example:"123e4567-e89b-12d3-a456-426614174000"
slotsArray of objects(SlotDto)required

List of availability slots for the specified date and resource.

timezonestringrequired

IANA timezone name used to interpret local slot times (e.g., 'Pacific/Auckland').

Example:"Example Name"
updatedAtstring, (date-time)required

Timestamp when this availability record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "availabilityId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "availabilityDate": "2025-01-01T00:00:00Z", "extensions": {}, "resourceId": "123e4567-e89b-12d3-a456-426614174000", "siteId": "123e4567-e89b-12d3-a456-426614174000", "slots": [ { … } ], "timezone": "Example Name", "updatedAt": "2025-01-01T00:00:00.000Z" }